/*===========================================================================*/
/*   (Object/generic.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Object/generic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_genericz00();
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern long BGl_arityz00zztools_argsz00(obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
BGL_IMPORT obj_t string_to_bstring(char *);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
extern obj_t BGl_typez00zztype_typez00;
static obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_genericz00();
static obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00();
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__makezd2genericzd2body2400z00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_requirezd2initializa7ationz75zzobject_genericz00 = BUNSPEC;
extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00();
BGL_EXPORTED_DECL obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 15 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_makezd2genericzd2bodyzd2envzd2zzobject_genericz00, BgL_bgl__makeza7d2genericza7d2body2400za700za7za7object_genericza7002442z00, BGl__makezd2genericzd2body2400z00zzobject_genericz00, 0L, 4 );
DEFINE_STRING( BGl_string2415z00zzobject_genericz00, BgL_bgl_string2415za700za7za7object_genericza7002443z00, "object? labels begin procedure? if -default __r4_pairs_and_lists_6_3 generic-default cons* apply @ find-method let procedure method ", 132 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_genericz00(long BgL_checksumz00_734, char * BgL_fromz00_735)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_genericz00))
{ 
BGl_requirezd2initializa7ationz75zzobject_genericz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_genericz00(); 
BGl_cnstzd2initzd2zzobject_genericz00(); 
BGl_importedzd2moduleszd2initz00zzobject_genericz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_generic"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_generic"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
{ /* ./Object/generic.scm 15 */
obj_t BgL_cportz00_727;
BgL_cportz00_727 = 
open_input_string(BGl_string2415z00zzobject_genericz00); 
{ 
long BgL_iz00_728;
BgL_iz00_728 = ((long)14); 
BgL_loopz00_729:
{ /* ./Object/generic.scm 15 */
bool_t BgL_test2417z00_730;
BgL_test2417z00_730 = 
(BgL_iz00_728==((long)-1)); 
if(BgL_test2417z00_730)
{ /* ./Object/generic.scm 15 */
return BUNSPEC;}  else 
{ /* ./Object/generic.scm 15 */
{ /* ./Object/generic.scm 15 */
obj_t BgL_arg2419z00_731;
{ /* ./Object/generic.scm 15 */
obj_t BgL_list2422z00_732;
BgL_list2422z00_732 = 
MAKE_PAIR(BgL_cportz00_727, BNIL); 
BgL_arg2419z00_731 = 
BGl_readz00zz__readerz00(BgL_list2422z00_732); } 
{ /* ./Object/generic.scm 15 */
int BgL_auxz00_751;
BgL_auxz00_751 = 
(int)(BgL_iz00_728); 
CNST_TABLE_SET(BgL_auxz00_751, BgL_arg2419z00_731); } } 
{ /* ./Object/generic.scm 15 */
int BgL_auxz00_733;
{ /* ./Object/generic.scm 15 */
long BgL_auxz00_754;
BgL_auxz00_754 = 
(BgL_iz00_728-((long)1)); 
BgL_auxz00_733 = 
(int)(BgL_auxz00_754); } 
{ 
long BgL_iz00_757;
BgL_iz00_757 = 
(long)(BgL_auxz00_733); 
BgL_iz00_728 = BgL_iz00_757; 
goto BgL_loopz00_729;} } } } } } } 
}



/* make-generic-body */
BGL_EXPORTED_DEF obj_t BGl_makezd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_idz00_1, obj_t BgL_localsz00_2, obj_t BgL_argsz00_3, obj_t BgL_srcz00_4)
{ AN_OBJECT;
{ /* ./Object/generic.scm 31 */
{ 
char * BgL_msgz00_355;
{ /* ./Object/generic.scm 34 */
bool_t BgL_test1838z00_346;
BgL_test1838z00_346 = 
NULLP(BgL_argsz00_3); 
if(BgL_test1838z00_346)
{ /* ./Object/generic.scm 34 */
BgL_msgz00_355 = "Illegal generic definition (no formal arguments provided)"; 
BgL_zc3anonymousza31858ze3z83_356:
{ /* ./Object/generic.scm 33 */
obj_t BgL_list1860z00_357;
BgL_list1860z00_357 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_1, 
string_to_bstring(BgL_msgz00_355), BgL_srcz00_4, BgL_list1860z00_357);} }  else 
{ /* ./Object/generic.scm 36 */
obj_t BgL_methodzd2argzd2_347;
BgL_methodzd2argzd2_347 = 
CAR(BgL_localsz00_2); 
{ /* ./Object/generic.scm 36 */
BgL_typez00_bglt BgL_methodzd2argzd2typez00_348;
{ /* ./Object/generic.scm 37 */
BgL_variablez00_bglt BgL_obj1097z00_677;
BgL_obj1097z00_677 = 
(BgL_variablez00_bglt)(BgL_methodzd2argzd2_347); 
BgL_methodzd2argzd2typez00_348 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_677))->BgL_typez00); } 
{ /* ./Object/generic.scm 37 */

{ /* ./Object/generic.scm 39 */
bool_t BgL_test1840z00_349;
{ /* ./Object/generic.scm 39 */
obj_t BgL_obj1607z00_678;
BgL_obj1607z00_678 = 
(obj_t)(BgL_methodzd2argzd2typez00_348); 
BgL_test1840z00_349 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1607z00_678, BGl_tclassz00zzobject_classz00); } 
if(BgL_test1840z00_349)
{ /* ./Object/generic.scm 39 */
return 
BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3, BgL_srcz00_4);}  else 
{ /* ./Object/generic.scm 41 */
bool_t BgL_test1842z00_350;
{ /* ./Object/generic.scm 41 */
bool_t BgL_test1845z00_351;
{ /* ./Object/generic.scm 41 */
obj_t BgL_obj1088z00_679;
BgL_obj1088z00_679 = 
(obj_t)(BgL_methodzd2argzd2typez00_348); 
BgL_test1845z00_351 = 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1088z00_679, BGl_typez00zztype_typez00); } 
if(BgL_test1845z00_351)
{ /* ./Object/generic.scm 42 */
bool_t BgL_test1846z00_352;
{ /* ./Object/generic.scm 42 */
obj_t BgL_auxz00_774;
BgL_auxz00_774 = 
(obj_t)(BgL_methodzd2argzd2typez00_348); 
BgL_test1846z00_352 = 
(BgL_auxz00_774==BGl_za2objza2z00zztype_cachez00); } 
if(BgL_test1846z00_352)
{ /* ./Object/generic.scm 42 */
BgL_test1842z00_350 = ((bool_t)0); }  else 
{ /* ./Object/generic.scm 43 */
bool_t BgL_test1847z00_353;
{ /* ./Object/generic.scm 43 */
BgL_typez00_bglt BgL_arg1849z00_354;
BgL_arg1849z00_354 = 
BGl_getzd2defaultzd2typez00zztype_cachez00(); 
{ /* ./Object/generic.scm 43 */
obj_t BgL_auxz00_781;obj_t BgL_auxz00_779;
BgL_auxz00_781 = 
(obj_t)(BgL_arg1849z00_354); 
BgL_auxz00_779 = 
(obj_t)(BgL_methodzd2argzd2typez00_348); 
BgL_test1847z00_353 = 
(BgL_auxz00_779==BgL_auxz00_781); } } 
if(BgL_test1847z00_353)
{ /* ./Object/generic.scm 43 */
BgL_test1842z00_350 = ((bool_t)0); }  else 
{ /* ./Object/generic.scm 43 */
BgL_test1842z00_350 = ((bool_t)1); } } }  else 
{ /* ./Object/generic.scm 41 */
BgL_test1842z00_350 = ((bool_t)0); } } 
if(BgL_test1842z00_350)
{ /* ./Object/generic.scm 41 */
{ 
char * BgL_msgz00_786;
BgL_msgz00_786 = "generic function has a non-class dispatching type arg"; 
BgL_msgz00_355 = BgL_msgz00_786; 
goto BgL_zc3anonymousza31858ze3z83_356;} }  else 
{ /* ./Object/generic.scm 41 */
return 
BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_1, BgL_localsz00_2, BgL_argsz00_3, BgL_srcz00_4);} } } } } } } } } 
}



/* _make-generic-body2400 */
obj_t BGl__makezd2genericzd2body2400z00zzobject_genericz00(obj_t BgL_envz00_722, obj_t BgL_idz00_723, obj_t BgL_localsz00_724, obj_t BgL_argsz00_725, obj_t BgL_srcz00_726)
{ AN_OBJECT;
{ /* ./Object/generic.scm 31 */
return 
BGl_makezd2genericzd2bodyz00zzobject_genericz00(BgL_idz00_723, BgL_localsz00_724, BgL_argsz00_725, BgL_srcz00_726);} 
}



/* make-object-generic-body */
obj_t BGl_makezd2objectzd2genericzd2bodyzd2zzobject_genericz00(obj_t BgL_idz00_5, obj_t BgL_localsz00_6, obj_t BgL_argsz00_7, obj_t BgL_srcz00_8)
{ AN_OBJECT;
{ /* ./Object/generic.scm 51 */
{ /* ./Object/generic.scm 52 */
obj_t BgL_pidz00_359;
{ /* ./Object/generic.scm 52 */
obj_t BgL_arg1976z00_412;
BgL_arg1976z00_412 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_8); 
BgL_pidz00_359 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_5, BgL_arg1976z00_412); } 
{ /* ./Object/generic.scm 52 */
obj_t BgL_idz00_360;
BgL_idz00_360 = 
CAR(BgL_pidz00_359); 
{ /* ./Object/generic.scm 53 */
long BgL_arityz00_361;
BgL_arityz00_361 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_7); 
{ /* ./Object/generic.scm 54 */
obj_t BgL_argszd2idzd2_362;
{ /* ./Object/generic.scm 55 */
bool_t BgL_test1943z00_397;
BgL_test1943z00_397 = 
NULLP(BgL_localsz00_6); 
if(BgL_test1943z00_397)
{ /* ./Object/generic.scm 55 */
BgL_argszd2idzd2_362 = BNIL; }  else 
{ /* ./Object/generic.scm 55 */
obj_t BgL_head1830z00_398;
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1965z00_409;
{ /* ./Object/generic.scm 55 */
BgL_variablez00_bglt BgL_obj1093z00_683;
{ /* ./Object/generic.scm 55 */
obj_t BgL_auxz00_795;
BgL_auxz00_795 = 
CAR(BgL_localsz00_6); 
BgL_obj1093z00_683 = 
(BgL_variablez00_bglt)(BgL_auxz00_795); } 
BgL_arg1965z00_409 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_683))->BgL_idz00); } 
BgL_head1830z00_398 = 
MAKE_PAIR(BgL_arg1965z00_409, BNIL); } 
{ 
obj_t BgL_l1828z00_399;obj_t BgL_tail1831z00_400;
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1945z00_402;
BgL_arg1945z00_402 = 
CDR(BgL_localsz00_6); 
BgL_l1828z00_399 = BgL_arg1945z00_402; 
BgL_tail1831z00_400 = BgL_head1830z00_398; 
BgL_map1829z00_401:
{ /* ./Object/generic.scm 55 */
bool_t BgL_test1948z00_403;
BgL_test1948z00_403 = 
NULLP(BgL_l1828z00_399); 
if(BgL_test1948z00_403)
{ /* ./Object/generic.scm 55 */
BgL_argszd2idzd2_362 = BgL_head1830z00_398; }  else 
{ /* ./Object/generic.scm 55 */
obj_t BgL_newtail1832z00_404;
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1955z00_406;
{ /* ./Object/generic.scm 55 */
BgL_variablez00_bglt BgL_obj1093z00_689;
{ /* ./Object/generic.scm 55 */
obj_t BgL_auxz00_803;
BgL_auxz00_803 = 
CAR(BgL_l1828z00_399); 
BgL_obj1093z00_689 = 
(BgL_variablez00_bglt)(BgL_auxz00_803); } 
BgL_arg1955z00_406 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_689))->BgL_idz00); } 
BgL_newtail1832z00_404 = 
MAKE_PAIR(BgL_arg1955z00_406, BNIL); } 
SET_CDR(BgL_tail1831z00_400, BgL_newtail1832z00_404); 
{ /* ./Object/generic.scm 55 */
obj_t BgL_arg1951z00_405;
BgL_arg1951z00_405 = 
CDR(BgL_l1828z00_399); 
{ 
obj_t BgL_tail1831z00_811;obj_t BgL_l1828z00_810;
BgL_l1828z00_810 = BgL_arg1951z00_405; 
BgL_tail1831z00_811 = BgL_newtail1832z00_404; 
BgL_tail1831z00_400 = BgL_tail1831z00_811; 
BgL_l1828z00_399 = BgL_l1828z00_810; 
goto BgL_map1829z00_401;} } } } } } } } 
{ /* ./Object/generic.scm 55 */
obj_t BgL_methodzd2argzd2_363;
BgL_methodzd2argzd2_363 = 
CAR(BgL_localsz00_6); 
{ /* ./Object/generic.scm 56 */
obj_t BgL_methodzd2argzd2idz00_364;
{ /* ./Object/generic.scm 57 */
BgL_variablez00_bglt BgL_obj1093z00_696;
BgL_obj1093z00_696 = 
(BgL_variablez00_bglt)(BgL_methodzd2argzd2_363); 
BgL_methodzd2argzd2idz00_364 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_696))->BgL_idz00); } 
{ /* ./Object/generic.scm 58 */
obj_t BgL_methodz00_366;
BgL_methodz00_366 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* ./Object/generic.scm 59 */
obj_t BgL_tmethodz00_367;
BgL_tmethodz00_367 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_methodz00_366, 
CNST_TABLE_REF(((long)1))); 
{ /* ./Object/generic.scm 60 */

{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1864z00_368;obj_t BgL_arg1865z00_369;
BgL_arg1864z00_368 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1868z00_370;obj_t BgL_arg1869z00_371;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1872z00_372;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1876z00_374;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1879z00_375;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1884z00_377;obj_t BgL_arg1885z00_378;
BgL_arg1884z00_377 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1888z00_379;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1891z00_380;
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1895z00_382;obj_t BgL_arg1896z00_383;
BgL_arg1895z00_382 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 61 */
obj_t BgL_arg1902z00_384;
BgL_arg1902z00_384 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg1896z00_383 = 
MAKE_PAIR(BgL_idz00_360, BgL_arg1902z00_384); } 
BgL_arg1891z00_380 = 
MAKE_PAIR(BgL_arg1895z00_382, BgL_arg1896z00_383); } 
BgL_arg1888z00_379 = 
MAKE_PAIR(BgL_arg1891z00_380, BNIL); } 
BgL_arg1885z00_378 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_364, BgL_arg1888z00_379); } 
BgL_arg1879z00_375 = 
MAKE_PAIR(BgL_arg1884z00_377, BgL_arg1885z00_378); } 
BgL_arg1876z00_374 = 
MAKE_PAIR(BgL_arg1879z00_375, BNIL); } 
BgL_arg1872z00_372 = 
MAKE_PAIR(BgL_tmethodz00_367, BgL_arg1876z00_374); } 
BgL_arg1868z00_370 = 
MAKE_PAIR(BgL_arg1872z00_372, BNIL); } 
{ /* ./Object/generic.scm 62 */
obj_t BgL_arg1906z00_385;
{ /* ./Object/generic.scm 62 */
bool_t BgL_test1910z00_387;
BgL_test1910z00_387 = 
(BgL_arityz00_361>=((long)0)); 
if(BgL_test1910z00_387)
{ /* ./Object/generic.scm 63 */
obj_t BgL_arg1915z00_388;
BgL_arg1915z00_388 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_362, BNIL); 
BgL_arg1906z00_385 = 
MAKE_PAIR(BgL_methodz00_366, BgL_arg1915z00_388); }  else 
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1919z00_389;obj_t BgL_arg1920z00_390;
BgL_arg1919z00_389 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1924z00_391;
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1928z00_392;
{ /* ./Object/generic.scm 64 */
obj_t BgL_arg1933z00_394;obj_t BgL_arg1934z00_395;
BgL_arg1933z00_394 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1934z00_395 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_362, BNIL); 
BgL_arg1928z00_392 = 
MAKE_PAIR(BgL_arg1933z00_394, BgL_arg1934z00_395); } 
BgL_arg1924z00_391 = 
MAKE_PAIR(BgL_arg1928z00_392, BNIL); } 
BgL_arg1920z00_390 = 
MAKE_PAIR(BgL_methodz00_366, BgL_arg1924z00_391); } 
BgL_arg1906z00_385 = 
MAKE_PAIR(BgL_arg1919z00_389, BgL_arg1920z00_390); } } 
BgL_arg1869z00_371 = 
MAKE_PAIR(BgL_arg1906z00_385, BNIL); } 
BgL_arg1865z00_369 = 
MAKE_PAIR(BgL_arg1868z00_370, BgL_arg1869z00_371); } 
return 
MAKE_PAIR(BgL_arg1864z00_368, BgL_arg1865z00_369);} } } } } } } } } } } 
}



/* make-non-object-generic-body */
obj_t BGl_makezd2nonzd2objectzd2genericzd2bodyz00zzobject_genericz00(obj_t BgL_idz00_9, obj_t BgL_localsz00_10, obj_t BgL_argsz00_11, obj_t BgL_srcz00_12)
{ AN_OBJECT;
{ /* ./Object/generic.scm 69 */
{ /* ./Object/generic.scm 70 */
obj_t BgL_pidz00_413;
{ /* ./Object/generic.scm 70 */
obj_t BgL_arg2246z00_534;
BgL_arg2246z00_534 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_12); 
BgL_pidz00_413 = 
BGl_parsezd2idzd2zzast_identz00(BgL_idz00_9, BgL_arg2246z00_534); } 
{ /* ./Object/generic.scm 70 */
obj_t BgL_idz00_414;
BgL_idz00_414 = 
CAR(BgL_pidz00_413); 
{ /* ./Object/generic.scm 71 */
long BgL_arityz00_415;
BgL_arityz00_415 = 
BGl_arityz00zztools_argsz00(BgL_argsz00_11); 
{ /* ./Object/generic.scm 72 */
obj_t BgL_argszd2idzd2_416;
{ /* ./Object/generic.scm 73 */
bool_t BgL_test2214z00_519;
BgL_test2214z00_519 = 
NULLP(BgL_localsz00_10); 
if(BgL_test2214z00_519)
{ /* ./Object/generic.scm 73 */
BgL_argszd2idzd2_416 = BNIL; }  else 
{ /* ./Object/generic.scm 73 */
obj_t BgL_head1835z00_520;
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2235z00_531;
{ /* ./Object/generic.scm 73 */
BgL_variablez00_bglt BgL_obj1093z00_703;
{ /* ./Object/generic.scm 73 */
obj_t BgL_auxz00_852;
BgL_auxz00_852 = 
CAR(BgL_localsz00_10); 
BgL_obj1093z00_703 = 
(BgL_variablez00_bglt)(BgL_auxz00_852); } 
BgL_arg2235z00_531 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_703))->BgL_idz00); } 
BgL_head1835z00_520 = 
MAKE_PAIR(BgL_arg2235z00_531, BNIL); } 
{ 
obj_t BgL_l1833z00_521;obj_t BgL_tail1836z00_522;
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2216z00_524;
BgL_arg2216z00_524 = 
CDR(BgL_localsz00_10); 
BgL_l1833z00_521 = BgL_arg2216z00_524; 
BgL_tail1836z00_522 = BgL_head1835z00_520; 
BgL_map1834z00_523:
{ /* ./Object/generic.scm 73 */
bool_t BgL_test2219z00_525;
BgL_test2219z00_525 = 
NULLP(BgL_l1833z00_521); 
if(BgL_test2219z00_525)
{ /* ./Object/generic.scm 73 */
BgL_argszd2idzd2_416 = BgL_head1835z00_520; }  else 
{ /* ./Object/generic.scm 73 */
obj_t BgL_newtail1837z00_526;
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2226z00_528;
{ /* ./Object/generic.scm 73 */
BgL_variablez00_bglt BgL_obj1093z00_709;
{ /* ./Object/generic.scm 73 */
obj_t BgL_auxz00_860;
BgL_auxz00_860 = 
CAR(BgL_l1833z00_521); 
BgL_obj1093z00_709 = 
(BgL_variablez00_bglt)(BgL_auxz00_860); } 
BgL_arg2226z00_528 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_709))->BgL_idz00); } 
BgL_newtail1837z00_526 = 
MAKE_PAIR(BgL_arg2226z00_528, BNIL); } 
SET_CDR(BgL_tail1836z00_522, BgL_newtail1837z00_526); 
{ /* ./Object/generic.scm 73 */
obj_t BgL_arg2222z00_527;
BgL_arg2222z00_527 = 
CDR(BgL_l1833z00_521); 
{ 
obj_t BgL_tail1836z00_868;obj_t BgL_l1833z00_867;
BgL_l1833z00_867 = BgL_arg2222z00_527; 
BgL_tail1836z00_868 = BgL_newtail1837z00_526; 
BgL_tail1836z00_522 = BgL_tail1836z00_868; 
BgL_l1833z00_521 = BgL_l1833z00_867; 
goto BgL_map1834z00_523;} } } } } } } } 
{ /* ./Object/generic.scm 73 */
obj_t BgL_defaultzd2bodyzd2_417;
{ /* ./Object/generic.scm 74 */
bool_t BgL_test2147z00_489;
BgL_test2147z00_489 = 
(BgL_arityz00_415>=((long)0)); 
if(BgL_test2147z00_489)
{ /* ./Object/generic.scm 75 */
obj_t BgL_arg2149z00_490;obj_t BgL_arg2150z00_491;
{ /* ./Object/generic.scm 75 */
obj_t BgL_arg2153z00_492;obj_t BgL_arg2154z00_493;
BgL_arg2153z00_492 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/generic.scm 76 */
obj_t BgL_arg2157z00_494;
{ /* ./Object/generic.scm 76 */
obj_t BgL_arg2161z00_496;obj_t BgL_arg2162z00_497;
BgL_arg2161z00_496 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 76 */
obj_t BgL_arg2165z00_498;
BgL_arg2165z00_498 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2162z00_497 = 
MAKE_PAIR(BgL_idz00_414, BgL_arg2165z00_498); } 
BgL_arg2157z00_494 = 
MAKE_PAIR(BgL_arg2161z00_496, BgL_arg2162z00_497); } 
BgL_arg2154z00_493 = 
MAKE_PAIR(BgL_arg2157z00_494, BNIL); } 
BgL_arg2149z00_490 = 
MAKE_PAIR(BgL_arg2153z00_492, BgL_arg2154z00_493); } 
BgL_arg2150z00_491 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_416, BNIL); 
BgL_defaultzd2bodyzd2_417 = 
MAKE_PAIR(BgL_arg2149z00_490, BgL_arg2150z00_491); }  else 
{ /* ./Object/generic.scm 82 */
obj_t BgL_arg2170z00_499;obj_t BgL_arg2171z00_500;
BgL_arg2170z00_499 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/generic.scm 78 */
obj_t BgL_arg2174z00_501;obj_t BgL_arg2175z00_502;
{ /* ./Object/generic.scm 78 */
obj_t BgL_arg2178z00_503;obj_t BgL_arg2179z00_504;
BgL_arg2178z00_503 = 
CNST_TABLE_REF(((long)7)); 
{ /* ./Object/generic.scm 79 */
obj_t BgL_arg2182z00_505;
{ /* ./Object/generic.scm 79 */
obj_t BgL_arg2187z00_507;obj_t BgL_arg2188z00_508;
BgL_arg2187z00_507 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 79 */
obj_t BgL_arg2191z00_509;
BgL_arg2191z00_509 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2188z00_508 = 
MAKE_PAIR(BgL_idz00_414, BgL_arg2191z00_509); } 
BgL_arg2182z00_505 = 
MAKE_PAIR(BgL_arg2187z00_507, BgL_arg2188z00_508); } 
BgL_arg2179z00_504 = 
MAKE_PAIR(BgL_arg2182z00_505, BNIL); } 
BgL_arg2174z00_501 = 
MAKE_PAIR(BgL_arg2178z00_503, BgL_arg2179z00_504); } 
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2195z00_510;
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2199z00_512;obj_t BgL_arg2200z00_513;
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2203z00_514;obj_t BgL_arg2204z00_515;
BgL_arg2203z00_514 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 80 */
obj_t BgL_arg2207z00_516;obj_t BgL_arg2209z00_517;
BgL_arg2207z00_516 = 
CNST_TABLE_REF(((long)6)); 
{ /* ./Object/generic.scm 80 */
obj_t BgL_auxz00_890;
BgL_auxz00_890 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg2209z00_517 = 
MAKE_PAIR(BgL_auxz00_890, BNIL); } 
BgL_arg2204z00_515 = 
MAKE_PAIR(BgL_arg2207z00_516, BgL_arg2209z00_517); } 
BgL_arg2199z00_512 = 
MAKE_PAIR(BgL_arg2203z00_514, BgL_arg2204z00_515); } 
BgL_arg2200z00_513 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_416, BNIL); 
BgL_arg2195z00_510 = 
MAKE_PAIR(BgL_arg2199z00_512, BgL_arg2200z00_513); } 
BgL_arg2175z00_502 = 
MAKE_PAIR(BgL_arg2195z00_510, BNIL); } 
BgL_arg2171z00_500 = 
MAKE_PAIR(BgL_arg2174z00_501, BgL_arg2175z00_502); } 
BgL_defaultzd2bodyzd2_417 = 
MAKE_PAIR(BgL_arg2170z00_499, BgL_arg2171z00_500); } } 
{ /* ./Object/generic.scm 74 */
obj_t BgL_methodzd2argzd2_418;
BgL_methodzd2argzd2_418 = 
CAR(BgL_localsz00_10); 
{ /* ./Object/generic.scm 83 */
obj_t BgL_methodzd2argzd2idz00_419;
{ /* ./Object/generic.scm 84 */
BgL_variablez00_bglt BgL_obj1093z00_718;
BgL_obj1093z00_718 = 
(BgL_variablez00_bglt)(BgL_methodzd2argzd2_418); 
BgL_methodzd2argzd2idz00_419 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1093z00_718))->BgL_idz00); } 
{ /* ./Object/generic.scm 85 */
obj_t BgL_methodz00_421;
BgL_methodz00_421 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)0)), BEOA); 
{ /* ./Object/generic.scm 86 */
obj_t BgL_tmethodz00_422;
BgL_tmethodz00_422 = 
BGl_makezd2typedzd2identz00zzast_identz00(BgL_methodz00_421, 
CNST_TABLE_REF(((long)1))); 
{ /* ./Object/generic.scm 87 */
obj_t BgL_defaultzd2namezd2_423;
{ /* ./Object/generic.scm 88 */
obj_t BgL_list2137z00_487;
{ /* ./Object/generic.scm 88 */
obj_t BgL_arg2139z00_488;
{ /* ./Object/generic.scm 88 */
obj_t BgL_auxz00_908;
BgL_auxz00_908 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2139z00_488 = 
MAKE_PAIR(BgL_auxz00_908, BNIL); } 
BgL_list2137z00_487 = 
MAKE_PAIR(BgL_idz00_414, BgL_arg2139z00_488); } 
BgL_defaultzd2namezd2_423 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2137z00_487); } 
{ /* ./Object/generic.scm 88 */
obj_t BgL_appzd2lyzd2methodz00_424;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg2037z00_445;obj_t BgL_arg2038z00_446;
BgL_arg2037z00_445 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg2041z00_447;obj_t BgL_arg2042z00_448;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg2045z00_449;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg2049z00_451;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg2052z00_452;
{ /* ./Object/generic.scm 89 */
obj_t BgL_arg2056z00_454;obj_t BgL_arg2057z00_455;
BgL_arg2056z00_454 = 
CNST_TABLE_REF(((long)3)); 
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2061z00_456;
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2064z00_457;
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2068z00_459;obj_t BgL_arg2069z00_460;
BgL_arg2068z00_459 = 
CNST_TABLE_REF(((long)4)); 
{ /* ./Object/generic.scm 90 */
obj_t BgL_arg2072z00_461;
BgL_arg2072z00_461 = 
MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL); 
BgL_arg2069z00_460 = 
MAKE_PAIR(BgL_idz00_414, BgL_arg2072z00_461); } 
BgL_arg2064z00_457 = 
MAKE_PAIR(BgL_arg2068z00_459, BgL_arg2069z00_460); } 
BgL_arg2061z00_456 = 
MAKE_PAIR(BgL_arg2064z00_457, BNIL); } 
BgL_arg2057z00_455 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_419, BgL_arg2061z00_456); } 
BgL_arg2052z00_452 = 
MAKE_PAIR(BgL_arg2056z00_454, BgL_arg2057z00_455); } 
BgL_arg2049z00_451 = 
MAKE_PAIR(BgL_arg2052z00_452, BNIL); } 
BgL_arg2045z00_449 = 
MAKE_PAIR(BgL_tmethodz00_422, BgL_arg2049z00_451); } 
BgL_arg2041z00_447 = 
MAKE_PAIR(BgL_arg2045z00_449, BNIL); } 
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2076z00_462;
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2080z00_464;obj_t BgL_arg2081z00_465;
BgL_arg2080z00_464 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2084z00_466;obj_t BgL_arg2085z00_467;
{ /* ./Object/generic.scm 92 */
obj_t BgL_arg2088z00_468;obj_t BgL_arg2089z00_469;
BgL_arg2088z00_468 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg2089z00_469 = 
MAKE_PAIR(BgL_methodz00_421, BNIL); 
BgL_arg2084z00_466 = 
MAKE_PAIR(BgL_arg2088z00_468, BgL_arg2089z00_469); } 
{ /* ./Object/generic.scm 93 */
obj_t BgL_arg2093z00_470;obj_t BgL_arg2094z00_471;
{ /* ./Object/generic.scm 93 */
bool_t BgL_test2096z00_472;
BgL_test2096z00_472 = 
(BgL_arityz00_415>=((long)0)); 
if(BgL_test2096z00_472)
{ /* ./Object/generic.scm 94 */
obj_t BgL_arg2098z00_473;
BgL_arg2098z00_473 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_416, BNIL); 
BgL_arg2093z00_470 = 
MAKE_PAIR(BgL_methodz00_421, BgL_arg2098z00_473); }  else 
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2102z00_474;obj_t BgL_arg2103z00_475;
BgL_arg2102z00_474 = 
CNST_TABLE_REF(((long)5)); 
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2106z00_476;
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2109z00_477;
{ /* ./Object/generic.scm 95 */
obj_t BgL_arg2115z00_479;obj_t BgL_arg2116z00_480;
BgL_arg2115z00_479 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg2116z00_480 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argszd2idzd2_416, BNIL); 
BgL_arg2109z00_477 = 
MAKE_PAIR(BgL_arg2115z00_479, BgL_arg2116z00_480); } 
BgL_arg2106z00_476 = 
MAKE_PAIR(BgL_arg2109z00_477, BNIL); } 
BgL_arg2103z00_475 = 
MAKE_PAIR(BgL_methodz00_421, BgL_arg2106z00_476); } 
BgL_arg2093z00_470 = 
MAKE_PAIR(BgL_arg2102z00_474, BgL_arg2103z00_475); } } 
{ /* ./Object/generic.scm 96 */
obj_t BgL_arg2122z00_481;
{ /* ./Object/generic.scm 96 */
obj_t BgL_arg2126z00_483;obj_t BgL_arg2127z00_484;
BgL_arg2126z00_483 = 
CNST_TABLE_REF(((long)12)); 
{ /* ./Object/generic.scm 97 */
obj_t BgL_arg2132z00_485;
BgL_arg2132z00_485 = 
MAKE_PAIR(BgL_defaultzd2namezd2_423, BNIL); 
BgL_arg2127z00_484 = 
MAKE_PAIR(BgL_arg2132z00_485, BNIL); } 
BgL_arg2122z00_481 = 
MAKE_PAIR(BgL_arg2126z00_483, BgL_arg2127z00_484); } 
BgL_arg2094z00_471 = 
MAKE_PAIR(BgL_arg2122z00_481, BNIL); } 
BgL_arg2085z00_467 = 
MAKE_PAIR(BgL_arg2093z00_470, BgL_arg2094z00_471); } 
BgL_arg2081z00_465 = 
MAKE_PAIR(BgL_arg2084z00_466, BgL_arg2085z00_467); } 
BgL_arg2076z00_462 = 
MAKE_PAIR(BgL_arg2080z00_464, BgL_arg2081z00_465); } 
BgL_arg2042z00_448 = 
MAKE_PAIR(BgL_arg2076z00_462, BNIL); } 
BgL_arg2038z00_446 = 
MAKE_PAIR(BgL_arg2041z00_447, BgL_arg2042z00_448); } 
BgL_appzd2lyzd2methodz00_424 = 
MAKE_PAIR(BgL_arg2037z00_445, BgL_arg2038z00_446); } 
{ /* ./Object/generic.scm 89 */

{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1981z00_425;obj_t BgL_arg1982z00_426;
BgL_arg1981z00_425 = 
CNST_TABLE_REF(((long)13)); 
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1987z00_427;obj_t BgL_arg1988z00_428;
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg1993z00_429;
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg2000z00_431;
{ /* ./Object/generic.scm 99 */
obj_t BgL_arg2006z00_433;
BgL_arg2006z00_433 = 
MAKE_PAIR(BgL_defaultzd2bodyzd2_417, BNIL); 
BgL_arg2000z00_431 = 
MAKE_PAIR(BNIL, BgL_arg2006z00_433); } 
BgL_arg1993z00_429 = 
MAKE_PAIR(BgL_defaultzd2namezd2_423, BgL_arg2000z00_431); } 
BgL_arg1987z00_427 = 
MAKE_PAIR(BgL_arg1993z00_429, BNIL); } 
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg2010z00_434;
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg2014z00_436;obj_t BgL_arg2015z00_437;
BgL_arg2014z00_436 = 
CNST_TABLE_REF(((long)10)); 
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg2018z00_438;obj_t BgL_arg2019z00_439;
{ /* ./Object/generic.scm 100 */
obj_t BgL_arg2022z00_440;obj_t BgL_arg2023z00_441;
BgL_arg2022z00_440 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg2023z00_441 = 
MAKE_PAIR(BgL_methodzd2argzd2idz00_419, BNIL); 
BgL_arg2018z00_438 = 
MAKE_PAIR(BgL_arg2022z00_440, BgL_arg2023z00_441); } 
{ /* ./Object/generic.scm 102 */
obj_t BgL_arg2027z00_442;
{ /* ./Object/generic.scm 102 */
obj_t BgL_arg2030z00_443;
BgL_arg2030z00_443 = 
MAKE_PAIR(BgL_defaultzd2namezd2_423, BNIL); 
BgL_arg2027z00_442 = 
MAKE_PAIR(BgL_arg2030z00_443, BNIL); } 
BgL_arg2019z00_439 = 
MAKE_PAIR(BgL_appzd2lyzd2methodz00_424, BgL_arg2027z00_442); } 
BgL_arg2015z00_437 = 
MAKE_PAIR(BgL_arg2018z00_438, BgL_arg2019z00_439); } 
BgL_arg2010z00_434 = 
MAKE_PAIR(BgL_arg2014z00_436, BgL_arg2015z00_437); } 
BgL_arg1988z00_428 = 
MAKE_PAIR(BgL_arg2010z00_434, BNIL); } 
BgL_arg1982z00_426 = 
MAKE_PAIR(BgL_arg1987z00_427, BgL_arg1988z00_428); } 
return 
MAKE_PAIR(BgL_arg1981z00_425, BgL_arg1982z00_426);} } } } } } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_genericz00()
{ AN_OBJECT;
{ /* ./Object/generic.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "object_generic"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "object_generic"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "object_generic"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "object_generic"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)25848), "object_generic"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "object_generic"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "object_generic"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "object_generic"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "object_generic"); 
return 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "object_generic");} 
}

